﻿


body {
    padding-top: 0px;
    padding-bottom: 0px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.nav-item-inline {
    display: inline-block;
}

.flex-container {
    display: flex;
    width: 100%;
    flex-flow: column wrap;
    align-content: space-between;
}

.nav-menu li {
    list-style: none;
}

.nav-menu a {
    text-decoration: none;
}

.int-nav-bar a {
    text-decoration: none;
}

.nav-bar {
    min-height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 24px;
}
.nav-menu {
    display: none;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
}

.nav-branding {
    font-size: 2rem;
}

.nav-link {
    transition: 0.7s ease;
    color: white;
}

.nav-link:hover {
    color: cadetblue;
}

.int-nav-link:hover {
    color: cadetblue;
}

.hamburger {
    display: none;
    cursor: pointer;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    --tw-bg-opacity: 1;
    background-color: rgb(146 208 80 / var(--tw-bg-opacity));
}

@media(max-width: 768px) {
    .hamburger {
        display: block;
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }
    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }
    .hamburger.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .nav-menu {
        display: flex;
        position: fixed;
        left: -100%;
        top: 70px;
        gap: 0;
        flex-direction: column;
        --tw-bg-opacity: 1;
        background-color: rgb(146 208 80 / var(--tw-bg-opacity));
        width: 100%;
        text-align: center;
        transition: 0.3s;
    }

    .nav-item {
        margin: 16px 0;
    }

    .nav-menu.active {
        left: 0
    }
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}